- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
libetonyek_xml.h File Reference
`#include <string>`
`#include "libetonyek_utils.h"`

Go to the source code of this file.

## Namespaces
| libetonyek

## Macros
#define | KEY_DEBUG_XML_NOT_EMPTY(name, ns) KEY_DEBUG_MSG(("element %s%s%s%s is not empty, skipping content...\n", ns ? "{" : "", ns, ns ? "}" : "", name))
#define | KEY_DEBUG_XML_UNKNOWN(type, name, ns) KEY_DEBUG_MSG(("unknown %s %s%s%s%s\n", type, ns ? "{" : "", ns, ns ? "}" : "", name))
#define | KEY_DEBUG_XML_TODO(type, name, ns) KEY_DEBUG_MSG(("TODO: unprocessed %s %s%s%s%s\n", type, ns ? "{" : "", ns, ns ? "}" : "", name))
#define | KEY_DEBUG_XML_TODO_ELEMENT(element) KEY_DEBUG_XML_TODO("element", (element).getName(), (element).getNamespace())
#define | KEY_DEBUG_XML_TODO_ATTRIBUTE(attr) KEY_DEBUG_XML_TODO("attribute", (attr).getName(), (attr).getNamespace())
#define | KEY_DEBUG_XML_UNKNOWN_ELEMENT(element) KEY_DEBUG_XML_UNKNOWN("element", (element).getName(), (element).getNamespace())
#define | KEY_DEBUG_XML_UNKNOWN_ATTRIBUTE(attr) KEY_DEBUG_XML_UNKNOWN("attribute", (attr).getName(), (attr).getNamespace())

## Functions
void | libetonyek::skipElement (const KEYXMLReader &reader)
bool | libetonyek::checkElement (const KEYXMLReader &reader, const int name, const int ns)
bool | libetonyek::checkEmptyElement (const KEYXMLReader &reader)
bool | libetonyek::checkNoAttributes (const KEYXMLReader &reader)
string | libetonyek::readOnlyAttribute (const KEYXMLReader &reader, const int name, const int ns)
string | libetonyek::readOnlyElementAttribute (const KEYXMLReader &reader, const int name, const int ns)

## Macro Definition Documentation

#define KEY_DEBUG_XML_NOT_EMPTY | ( |  | name,
|  |  | ns
| ) |  | KEY_DEBUG_MSG(("element %s%s%s%s is not empty, skipping content...\n", ns ? "{" : "", ns, ns ? "}" : "", name))

#define KEY_DEBUG_XML_TODO | ( |  | type,
|  |  | name,
|  |  | ns
| ) |  | KEY_DEBUG_MSG(("TODO: unprocessed %s %s%s%s%s\n", type, ns ? "{" : "", ns, ns ? "}" : "", name))

#define KEY_DEBUG_XML_TODO_ATTRIBUTE | ( |  | attr | ) | KEY_DEBUG_XML_TODO("attribute", (attr).getName(), (attr).getNamespace())

Referenced by libetonyek::KEY2Parser::parseData().

#define KEY_DEBUG_XML_TODO_ELEMENT | ( |  | element | ) | KEY_DEBUG_XML_TODO("element", (element).getName(), (element).getNamespace())

Referenced by libetonyek::KEY2Parser::parseLeveled().

#define KEY_DEBUG_XML_UNKNOWN | ( |  | type,
|  |  | name,
|  |  | ns
| ) |  | KEY_DEBUG_MSG(("unknown %s %s%s%s%s\n", type, ns ? "{" : "", ns, ns ? "}" : "", name))

#define KEY_DEBUG_XML_UNKNOWN_ATTRIBUTE | ( |  | attr | ) | KEY_DEBUG_XML_UNKNOWN("attribute", (attr).getName(), (attr).getNamespace())

#define KEY_DEBUG_XML_UNKNOWN_ELEMENT | ( |  | element | ) | KEY_DEBUG_XML_UNKNOWN("element", (element).getName(), (element).getNamespace())